asn1_der_decoding(3)

NAME
asn1_der_decoding - API function

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_der_decoding(ASN1_TYPE * element, const void * ider, int len, char * errorDescription);

ARGUMENTS

ASN1_TYPE * element
    pointer to an ASN1 structure.

const void * ider
    vector that contains the DER encoding.

int len
    number of bytes of *ider: ider[0]..ider[len-1].

char * errorDescription
    null-terminated string contains details when an error occurred.

DESCRIPTION
Fill the structure *ELEMENT with values of a DER encoding string. The structure must just be created with function asn1_create_element(). If an error occurs during the decoding procedure, the *ELEMENT is deleted and set equal to ASN1_TYPE_EMPTY.

RETURNS
ASN1_SUCCESS if DER encoding OK, ASN1_ELEMENT_NOT_FOUND if ELEMENT is ASN1_TYPE_EMPTY, and ASN1_TAG_ERROR or ASN1_DER_ERROR if the der encoding doesn't match the structure name (*ELEMENT deleted).

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.